import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceJahadGetProductInfoService = createAsyncThunk(
  "PROVINCE_JAHAD_GET_PRODUCT_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `LiveStock/jahad/live-stock-product/`,
      {
        params: {
          name: d.product,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
